<?xml version="1.0" encoding="UTF-8"?>
<Config>
    <!--FaceSRPlusPlus Config file-->
    <modelNamePath>/odm/etc/camera/cnnmodel/</modelNamePath>
    <bigModelName>bigFaceModel.bin</bigModelName>
    <smallModelName>smallFaceModel.bin</smallModelName>
    <bigFaceSizeThresh>210</bigFaceSizeThresh>
    <superFaceSizeThresh>300</superFaceSizeThresh>
    <minFaceSizeThresh>100</minFaceSizeThresh>
    <maxFaceSizeThresh>900</maxFaceSizeThresh>
    <maxFacePitchAngleThresh>180</maxFacePitchAngleThresh>
    <maxFaceYawAngleThresh>180</maxFaceYawAngleThresh>
    <maxFaceRollAngleThresh>180</maxFaceRollAngleThresh>
    <bigModelInputTensorName>input_1</bigModelInputTensorName>
    <bigModelOutput0TensorName>_171</bigModelOutput0TensorName>
    <bigModelOutput1TensorName>_116</bigModelOutput1TensorName>
    <bigModelInputSize>1024</bigModelInputSize>
    <smallModelInputTensorName>input_1</smallModelInputTensorName>
    <smallModelOutput0TensorName>_140</smallModelOutput0TensorName>
    <smallModelInputSize>512</smallModelInputSize>
    <bitwidth>16</bitwidth>
    <smallFaceFusionFactor>1</smallFaceFusionFactor>
    <bigFaceFusionFactor>1</bigFaceFusionFactor>
    <superFaceFusionFactor>1</superFaceFusionFactor>
    <bigFaceBlurringThresh>0.025</bigFaceBlurringThresh>
    <smallFaceBlurringThresh>0.011</smallFaceBlurringThresh>
    <resizedFaceSize>250</resizedFaceSize>
    <bigSampleSize>450</bigSampleSize>
    <smallSampleSize>240</smallSampleSize>
    <noiseAddBackSigmaMaxValue>1.2</noiseAddBackSigmaMaxValue>
    <noiseAddBackSigmaScaleFactor>0.7</noiseAddBackSigmaScaleFactor>
    <noiseAddBackMultiplyScaleFactor>0.8</noiseAddBackMultiplyScaleFactor>
    <noiseAddBackBlurringLowerThresh>0.025</noiseAddBackBlurringLowerThresh>
    <noiseAddBackBlurringUpThresh>0.06</noiseAddBackBlurringUpThresh>
    <noiseAddBackEnabled>1</noiseAddBackEnabled>
    <gaussNoiseFileName>GaussNoiseMap.bin</gaussNoiseFileName>
    <gaussNoiseFileSize>1000</gaussNoiseFileSize>
    <saveInputFacesInfoEnabled>0</saveInputFacesInfoEnabled>
</Config>
